#ifndef INCLUDED_MAIN_H
#define INCLUDED_MAIN_H

/*
 * main.h
 *
 * Peter Mawhorter, 2009-1-6
 *
 * Header for the main part of the program. Defines sound data structures and
 * the main program functions.
 */

/**************************
 * Function declarations: *
 **************************/

int main(int argc, char** argv);

int setupPCM(snd_pcm_t **pcm_handle,
             snd_pcm_stream_t stream,
             snd_pcm_hw_params_t *hwparams,
             char *pcm_name,
             int direction,
             int format,
             int channels,
             int periods,
             int *rate,
             int *periodsize);

int setupSocket(char* host, int port);
void shutdownSocket();

void processStream(snd_pcm_t *pcm_handle,
                   int bytespersample,
                   int channels,
                   int rate,
                   int periods,
                   int periodsize);

void cleanup(int sig);

#endif //INCLUDED_MAIN_H
